osg::PagedLOD Class Reference

`#include <PagedLOD>`

Inheritance diagram for osg::PagedLOD:

## Classes

struct | PerRangeData

## Public Types

typedef std::vector< PerRangeData > | PerRangeDataList
Public Types inherited from osg::LOD
enum | CenterMode { USE_BOUNDING_SPHERE_CENTER , USER_DEFINED_CENTER , UNION_OF_BOUNDING_SPHERE_AND_USER_DEFINED }
enum | RangeMode { DISTANCE_FROM_EYE_POINT , PIXEL_SIZE_ON_SCREEN }
typedef osg::BoundingSphere::vec_type | vec_type
typedef osg::BoundingSphere::value_type | value_type
typedef std::pair< float, float > | MinMaxPair
typedef std::vector< MinMaxPair > | RangeList
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| PagedLOD ()
| PagedLOD (const PagedLOD &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, PagedLOD)
virtual void | traverse (NodeVisitor &nv)
virtual bool | addChild (Node *child)
virtual bool | addChild (Node *child, float rmin, float rmax)
template<class T>
bool | addChild (const ref_ptr< T > &child, float rmin, float rmax)
virtual bool | addChild (Node *child, float rmin, float rmax, const std::string &filename, float priorityOffset=0.0f, float priorityScale=1.0f)
template<class T>
bool | addChild (const ref_ptr< T > &child, float rmin, float rmax, const std::string &filename, float priorityOffset=0.0f, float priorityScale=1.0f)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove=1)
void | setDatabaseOptions (osg::Referenced *options)
osg::Referenced * | getDatabaseOptions ()
const osg::Referenced * | getDatabaseOptions () const
void | setDatabasePath (const std::string &path)
const std::string & | getDatabasePath () const
void | setFileName (unsigned int childNo, const std::string &filename)
const std::string & | getFileName (unsigned int childNo) const
unsigned int | getNumFileNames () const
void | setPriorityOffset (unsigned int childNo, float priorityOffset)
float | getPriorityOffset (unsigned int childNo) const
unsigned int | getNumPriorityOffsets () const
void | setPriorityScale (unsigned int childNo, float priorityScale)
float | getPriorityScale (unsigned int childNo) const
unsigned int | getNumPriorityScales () const
void | setMinimumExpiryTime (unsigned int childNo, double minTime)
double | getMinimumExpiryTime (unsigned int childNo) const
unsigned int | getNumMinimumExpiryTimes () const
void | setMinimumExpiryFrames (unsigned int childNo, unsigned int minFrames)
unsigned int | getMinimumExpiryFrames (unsigned int childNo) const
unsigned int | getNumMinimumExpiryFrames () const
void | setTimeStamp (unsigned int childNo, double timeStamp)
double | getTimeStamp (unsigned int childNo) const
unsigned int | getNumTimeStamps () const
void | setFrameNumber (unsigned int childNo, unsigned int frameNumber)
unsigned | getFrameNumber (unsigned int childNo) const
unsigned int | getNumFrameNumbers () const
osg::ref_ptr< osg::Referenced > & | getDatabaseRequest (unsigned int childNo)
const osg::ref_ptr< osg::Referenced > & | getDatabaseRequest (unsigned int childNo) const
void | setFrameNumberOfLastTraversal (unsigned int frameNumber)
unsigned int | getFrameNumberOfLastTraversal () const
void | setNumChildrenThatCannotBeExpired (unsigned int num)
unsigned int | getNumChildrenThatCannotBeExpired () const
void | setDisableExternalChildrenPaging (bool flag)
bool | getDisableExternalChildrenPaging () const
virtual bool | removeExpiredChildren (double expiryTime, unsigned int expiryFrame, NodeList &removedChildren)
template<class T>
bool | addChild (const ref_ptr< T > &child)
Public Member Functions inherited from osg::LOD
| LOD ()
| LOD (const LOD &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, LOD)
template<class T>
bool | addChild (const ref_ptr< T > &child, float rmin, float rmax)
void | setCenterMode (CenterMode mode)
CenterMode | getCenterMode () const
void | setCenter (const vec_type &center)
const vec_type & | getCenter () const
void | setRadius (value_type radius)
value_type | getRadius () const
void | setRangeMode (RangeMode mode)
RangeMode | getRangeMode () const
void | setRange (unsigned int childNo, float min, float max)
float | getMinRange (unsigned int childNo) const
float | getMaxRange (unsigned int childNo) const
unsigned int | getNumRanges () const
void | setRangeList (const RangeList &rangeList)
const RangeList & | getRangeList () const
virtual BoundingSphere | computeBound () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~PagedLOD ()
void | expandPerRangeDataTo (unsigned int pos)
Protected Member Functions inherited from osg::LOD
virtual | ~LOD ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

ref_ptr< Referenced > | _databaseOptions
std::string | _databasePath
unsigned int | _frameNumberOfLastTraversal
unsigned int | _numChildrenThatCannotBeExpired
bool | _disableExternalChildrenPaging
PerRangeDataList | _perRangeDataList
Protected Attributes inherited from osg::LOD
CenterMode | _centerMode
vec_type | _userDefinedCenter
value_type | _radius
RangeMode | _rangeMode
RangeList | _rangeList
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

PagedLOD.

## Member Typedef Documentation

## PerRangeDataList

typedef std::vector<PerRangeData> osg::PagedLOD::PerRangeDataList

## Constructor & Destructor Documentation

## PagedLOD() [1/2]

osg::PagedLOD::PagedLOD | ( |  | ) |

Default constructor The default constructor sets

- the center mode to USER_DEFINED_CENTER and
- enables the paging of external children.
  Warning
    The center mode setting of the default constructor differs from the setting of LOD's default constructor! Therefore, the PagedLOD and LOD nodes may show different behaviour with their default settings when using them with the same subgraph. This is a result of the differences in determining the node's center.
  Note
    Though the bounding spheres of both nodes with their default settings will not differ if they have same subgraph.
  See also
    LOD::setCenter, LOD::setRadius

Referenced by META_Node(), and PagedLOD().

## PagedLOD() [2/2]

osg::PagedLOD::PagedLOD | ( | const PagedLOD & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References PagedLOD(), and osg::CopyOp::SHALLOW_COPY.

## ~PagedLOD()

virtual osg::PagedLOD::~PagedLOD | ( |  | ) |

protected virtual

## Member Function Documentation

## addChild() [1/6]

template<class T>

bool osg::Group::addChild | ( | const ref_ptr< T > & | child | ) |

inline

## addChild() [2/6]

template<class T>

bool osg::PagedLOD::addChild | ( | const ref_ptr< T > & | child,
|  | float | rmin,
|  | float | rmax )

inline

References addChild(), and osg::ref_ptr< T >::get().

Referenced by addChild().

## addChild() [3/6]

template<class T>

bool osg::PagedLOD::addChild | ( | const ref_ptr< T > & | child,
|  | float | rmin,
|  | float | rmax,
|  | const std::string & | filename,
|  | float | priorityOffset = 0.0f,
|  | float | priorityScale = 1.0f )

inline

References addChild(), and osg::ref_ptr< T >::get().

Referenced by addChild().

## addChild() [4/6]

virtual bool osg::PagedLOD::addChild | ( | Node * | child | ) |

virtual

Add Node to Group. If node is not NULL then increment its reference count, add it to the child list and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. Otherwise return false. Scene nodes can't be added as child nodes.

Reimplemented from osg::LOD.

## addChild() [5/6]

virtual bool osg::PagedLOD::addChild | ( | Node * | child,
|  | float | rmin,
|  | float | rmax )

virtual

Reimplemented from osg::LOD.

## addChild() [6/6]

virtual bool osg::PagedLOD::addChild | ( | Node * | child,
|  | float | rmin,
|  | float | rmax,
|  | const std::string & | filename,
|  | float | priorityOffset = 0.0f,
|  | float | priorityScale = 1.0f )

virtual

## expandPerRangeDataTo()

void osg::PagedLOD::expandPerRangeDataTo | ( | unsigned int | pos | ) |

protected

Referenced by setFileName(), setFrameNumber(), setMinimumExpiryFrames(), setMinimumExpiryTime(), setPriorityOffset(), setPriorityScale(), and setTimeStamp().

## getDatabaseOptions() [1/2]

osg::Referenced * osg::PagedLOD::getDatabaseOptions | ( |  | ) |

inline

Get the optional database osgDB::Options object used when reading children.

References _databaseOptions.

## getDatabaseOptions() [2/2]

const osg::Referenced * osg::PagedLOD::getDatabaseOptions | ( |  | ) | const

inline

Get the optional database osgDB::Options object used when reading children.

References _databaseOptions.

## getDatabasePath()

const std::string & osg::PagedLOD::getDatabasePath | ( |  | ) | const

inline

Get the database path used to prepend to children's filenames.

References _databasePath.

## getDatabaseRequest() [1/2]

osg::ref_ptr< osg::Referenced > & osg::PagedLOD::getDatabaseRequest | ( | unsigned int | childNo | ) |

inline

Return the DatabaseRequest object used by the DatabasePager to keep track of file load requests being carried on behalf of the DatabasePager. Note, in normal OSG usage you should not set this value yourself, as this will be managed by the osgDB::DatabasePager.

References _perRangeDataList.

## getDatabaseRequest() [2/2]

const osg::ref_ptr< osg::Referenced > & osg::PagedLOD::getDatabaseRequest | ( | unsigned int | childNo | ) | const

inline

Return the const DatabaseRequest object.

References _perRangeDataList.

## getDisableExternalChildrenPaging()

bool osg::PagedLOD::getDisableExternalChildrenPaging | ( |  | ) | const

inline

References _disableExternalChildrenPaging.

## getFileName()

const std::string & osg::PagedLOD::getFileName | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getFrameNumber()

unsigned osg::PagedLOD::getFrameNumber | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getFrameNumberOfLastTraversal()

unsigned int osg::PagedLOD::getFrameNumberOfLastTraversal | ( |  | ) | const

inline

Get the frame number of the last time that this PageLOD node was traversed.

References _frameNumberOfLastTraversal.

## getMinimumExpiryFrames()

unsigned int osg::PagedLOD::getMinimumExpiryFrames | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getMinimumExpiryTime()

double osg::PagedLOD::getMinimumExpiryTime | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getNumChildrenThatCannotBeExpired()

unsigned int osg::PagedLOD::getNumChildrenThatCannotBeExpired | ( |  | ) | const

inline

Get the number of children that the PagedLOD must keep around, even if they are older than their expiry time.

References _numChildrenThatCannotBeExpired.

## getNumFileNames()

unsigned int osg::PagedLOD::getNumFileNames | ( |  | ) | const

inline

References _perRangeDataList.

## getNumFrameNumbers()

unsigned int osg::PagedLOD::getNumFrameNumbers | ( |  | ) | const

inline

References _perRangeDataList.

## getNumMinimumExpiryFrames()

unsigned int osg::PagedLOD::getNumMinimumExpiryFrames | ( |  | ) | const

inline

References _perRangeDataList.

## getNumMinimumExpiryTimes()

unsigned int osg::PagedLOD::getNumMinimumExpiryTimes | ( |  | ) | const

inline

References _perRangeDataList.

## getNumPriorityOffsets()

unsigned int osg::PagedLOD::getNumPriorityOffsets | ( |  | ) | const

inline

References _perRangeDataList.

## getNumPriorityScales()

unsigned int osg::PagedLOD::getNumPriorityScales | ( |  | ) | const

inline

References _perRangeDataList.

## getNumTimeStamps()

unsigned int osg::PagedLOD::getNumTimeStamps | ( |  | ) | const

inline

References _perRangeDataList.

## getPriorityOffset()

float osg::PagedLOD::getPriorityOffset | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getPriorityScale()

float osg::PagedLOD::getPriorityScale | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## getTimeStamp()

double osg::PagedLOD::getTimeStamp | ( | unsigned int | childNo | ) | const

inline

References _perRangeDataList.

## META_Node()

osg::PagedLOD::META_Node | ( | osg | ,
|  | PagedLOD | )

References PagedLOD().

## removeChildren()

virtual bool osg::PagedLOD::removeChildren | ( | unsigned int | pos,
|  | unsigned int | numChildrenToRemove = 1 )

virtual

Remove children from Group. Note, must be override by subclasses of Group which add per child attributes.

Reimplemented from osg::LOD.

## removeExpiredChildren()

virtual bool osg::PagedLOD::removeExpiredChildren | ( | double | expiryTime,
|  | unsigned int | expiryFrame,
|  | NodeList & | removedChildren )

virtual

Remove the children from the PagedLOD which haven't been visited since specified expiry time and expiry frame number. The removed children are added to the removeChildren list passed into the method, this allows the children to be deleted later at the caller's discretion. Return true if children are removed, false otherwise.

## setDatabaseOptions()

void osg::PagedLOD::setDatabaseOptions | ( | osg::Referenced * | options | ) |

inline

Set the optional database osgDB::Options object to use when reading children.

References _databaseOptions.

## setDatabasePath()

void osg::PagedLOD::setDatabasePath | ( | const std::string & | path | ) |

Set the database path to prepend to children's filenames.

## setDisableExternalChildrenPaging()

void osg::PagedLOD::setDisableExternalChildrenPaging | ( | bool | flag | ) |

inline

Set whether you want to disable the paging in of external nodes.

References _disableExternalChildrenPaging.

## setFileName()

void osg::PagedLOD::setFileName | ( | unsigned int | childNo,
|  | const std::string & | filename )

inline

References _perRangeDataList, and expandPerRangeDataTo().

## setFrameNumber()

void osg::PagedLOD::setFrameNumber | ( | unsigned int | childNo,
|  | unsigned int | frameNumber )

inline

References _perRangeDataList, and expandPerRangeDataTo().

## setFrameNumberOfLastTraversal()

void osg::PagedLOD::setFrameNumberOfLastTraversal | ( | unsigned int | frameNumber | ) |

inline

Set the frame number of the last time that this PageLOD node was traversed. Note, this frame number is automatically set by the traverse() method for all traversals (update, cull etc.).

References _frameNumberOfLastTraversal.

## setMinimumExpiryFrames()

void osg::PagedLOD::setMinimumExpiryFrames | ( | unsigned int | childNo,
|  | unsigned int | minFrames )

inline

Sets the minimum number of frames that must be rendered without a child being traversed before it can be expired.

References _perRangeDataList, and expandPerRangeDataTo().

## setMinimumExpiryTime()

void osg::PagedLOD::setMinimumExpiryTime | ( | unsigned int | childNo,
|  | double | minTime )

inline

Sets the minimum amount of time, in seconds, that must pass without a child being traversed before it can be expired.

References _perRangeDataList, and expandPerRangeDataTo().

## setNumChildrenThatCannotBeExpired()

void osg::PagedLOD::setNumChildrenThatCannotBeExpired | ( | unsigned int | num | ) |

inline

Set the number of children that the PagedLOD must keep around, even if they are older than their expiry time.

References _numChildrenThatCannotBeExpired.

## setPriorityOffset()

void osg::PagedLOD::setPriorityOffset | ( | unsigned int | childNo,
|  | float | priorityOffset )

inline

References _perRangeDataList, and expandPerRangeDataTo().

## setPriorityScale()

void osg::PagedLOD::setPriorityScale | ( | unsigned int | childNo,
|  | float | priorityScale )

inline

References _perRangeDataList, and expandPerRangeDataTo().

## setTimeStamp()

void osg::PagedLOD::setTimeStamp | ( | unsigned int | childNo,
|  | double | timeStamp )

inline

References _perRangeDataList, and expandPerRangeDataTo().

## traverse()

virtual void osg::PagedLOD::traverse | ( | NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::LOD.

References osg::Group::addChild().

## Member Data Documentation

## _databaseOptions

ref_ptr<Referenced> osg::PagedLOD::_databaseOptions

protected

Referenced by getDatabaseOptions(), getDatabaseOptions(), and setDatabaseOptions().

## _databasePath

std::string osg::PagedLOD::_databasePath

protected

Referenced by getDatabasePath().

## _disableExternalChildrenPaging

bool osg::PagedLOD::_disableExternalChildrenPaging

protected

Referenced by getDisableExternalChildrenPaging(), and setDisableExternalChildrenPaging().

## _frameNumberOfLastTraversal

unsigned int osg::PagedLOD::_frameNumberOfLastTraversal

protected

Referenced by getFrameNumberOfLastTraversal(), and setFrameNumberOfLastTraversal().

## _numChildrenThatCannotBeExpired

unsigned int osg::PagedLOD::_numChildrenThatCannotBeExpired

protected

Referenced by getNumChildrenThatCannotBeExpired(), and setNumChildrenThatCannotBeExpired().

## _perRangeDataList

PerRangeDataList osg::PagedLOD::_perRangeDataList

protected

Referenced by getDatabaseRequest(), getDatabaseRequest(), getFileName(), getFrameNumber(), getMinimumExpiryFrames(), getMinimumExpiryTime(), getNumFileNames(), getNumFrameNumbers(), getNumMinimumExpiryFrames(), getNumMinimumExpiryTimes(), getNumPriorityOffsets(), getNumPriorityScales(), getNumTimeStamps(), getPriorityOffset(), getPriorityScale(), getTimeStamp(), setFileName(), setFrameNumber(), setMinimumExpiryFrames(), setMinimumExpiryTime(), setPriorityOffset(), setPriorityScale(), and setTimeStamp().

The documentation for this class was generated from the following file:

- PagedLOD